"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AnalysisPanel(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "multipleGeneticOrigins",
        "panelName",
        "reviewOutcome",
        "specificDisease",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_4_1 import participant as participant_1_0_1

        return {
            "org.gel.models.participant.avro.AnalysisPanel": participant_1_0_1.AnalysisPanel,
        }

    __slots__ = [
        "multipleGeneticOrigins",
        "panelName",
        "reviewOutcome",
        "specificDisease",
        "panelVersion",
    ]

    def __init__(
        self,
        multipleGeneticOrigins,
        panelName,
        reviewOutcome,
        specificDisease,
        panelVersion=None,
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_0_1.AnalysisPanel model.

        :param multipleGeneticOrigins:
        :type multipleGeneticOrigins: str
        :param panelName:
        :type panelName: str
        :param reviewOutcome:
        :type reviewOutcome: str
        :param specificDisease:
        :type specificDisease: str
        :param panelVersion:
        :type panelVersion: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.0.1"
